Check Point Advisories

Adobe ColdFusion CKEditor Directory Traversal (CVE-2018-15960)

Check Point Reference: CPAI-2019-0985
Date Published: 28 Aug 2019
Severity: High
Last Updated: 28 Aug 2019
Source:
Industry Reference:CVE-2018-15960
Protection Provided by:

Security Gateway
R80, R77, R75

Who is Vulnerable? Adobe Systems ColdFusion 11 prior to update 15
Adobe Systems ColdFusion 2016 release prior to update 7
Adobe Systems ColdFusion 2018 release prior to update 1
Vulnerability Description A directory traversal vulnerability exists in Adobe ColdFusion CKEditor component. The vulnerability is due improper sanitation of paths before writing files. Successful exploitation of this vulnerability could allow an attacker to write files to arbitrary locations on the target system.

Protection Overview

This protection detects attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update. For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R75

  1. In the IPS tab, click Protections and find the Adobe ColdFusion CKEditor Directory Traversal (CVE-2018-15960) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all Security Gateways.

This protection's log will contain the following information:

Attack Name:  Adobe Products Violation.
Attack Information:  Adobe ColdFusion CKEditor Directory Traversal (CVE-2018-15960)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO